Delete SCM app
curl --request DELETE \
--url https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deploymentId": "<string>",
"scmAppId": "<string>"
}Source Code Management (SCM) apps
Delete SCM app
Delete an SCM app by its ID.
DELETE
/
api
/
scm
/
deployments
/
{deploymentId}
/
scm_apps
/
{scmAppId}
Delete SCM app
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Was this page helpful?
⌘I